evas::signal_interface Struct Reference

Public Member Functions | Static Public Member Functions
evas::signal_interface Struct Reference

Class signal_interface. More...

## Public Member Functions
| signal_interface (Eo *eo)
| Eo Constructor. More...
| signal_interface (std::nullptr_t)
| nullptr_t Constructor. More...
| signal_interface (signal_interface const &other)
| Copy Constructor.
| signal_interface (::efl::eo::parent_type _p)
| Constructs a new evas::signal_interface object. More...
Public Member Functions inherited from efl::eo::concrete
| concrete (Eo *eo)
| Class constructor. More...
| concrete ()
| Default constructor. More...
| ~concrete ()
| Class destructor.
| concrete (concrete const &other)
| concrete (concrete &&other)
concrete & | operator= (concrete const &other)
| Assignment operator.
concrete & | operator= (concrete &&other)
Eo * | _eo_ptr () const
| Return a pointer to the EO Object stored in this instance. More...
Eo * | _release ()
| Releases the reference from this concrete object and return the pointer to the EO Object stored in this instance. More...
void | _reset (Eo *_ptr=nullptr)
| Reset the current pointer to reference a new Eo object.
int | ref_get () const
| Get the reference count of this object. More...
void | parent_set (concrete parent)
| Set the parent of this object. More...
eina::optional< concrete > | parent_get ()
| Get the parent of this object. More...
Eo_Dbg_Info | dbg_info_get ()
| Get debug information of this object. More...
| operator bool () const

## Static Public Member Functions
static Eo_Class const * | _eo_class ()

## Additional Inherited Members
Protected Attributes inherited from efl::eo::concrete
Eo * | _eo_raw
| The opaque EO Object.

## Detailed Description

Class signal_interface.

## Constructor & Destructor Documentation

## ◆ signal_interface() [1/3]

evas::signal_interface::signal_interface | ( | ::efl::eo::parent_type | _p | ) |
| inlineexplicit

Constructs a new evas::signal_interface object.

Constructs a new evas::signal_interface object. If you want this object to be a child of another Eo object, use an efl::eo::parent expression, like the example.

Example:

evas::signal_interface my_signal_interface(efl::eo::parent = parent_object);

See also
  signal_interface(Eo* eo)

References efl::eo::parent.

## ◆ signal_interface() [2/3]

evas::signal_interface::signal_interface | ( | Eo * | eo | ) |
| inlineexplicit

Eo Constructor.

Constructs the object from an Eo* pointer stealing its ownership.

Parameters

  eo | The Eo object pointer.

## ◆ signal_interface() [3/3]

evas::signal_interface::signal_interface | ( | std::nullptr_t |  | ) |
| inlineexplicit

nullptr_t Constructor.

Constructs an empty (null) object.